%  GR  объекты графики


% GR.RECT-        рисует прямоугольники, квадраты
% GR.OVAL-        овалы
% GR.CIRCLE-      круги
% GR.ARC-         сектор круга, дуга
% GR.LINE-        линии
% GR.POINT-       точки разного размера
% GR.SET.PIXELS-  массивы из точек разного размера
% GR.POLY-        рисует многоугольник
% GR.SET.STROKE-  толщина линий



gr.open
gr.color 200, 187, 88, 211, 1
  GR.RECT kvadrat, 200, 400, 300, 500
  GR.OVAL oval, 1000, 300, 1300, 380

gr.color 170, 90, 222, 100, 0
  GR.SET.STROKE 6
  GR.CIRCLE kryg, 800, 600, 250

gr.color 200, 230, 200, 200, 1    % вместо 1 подставить 0 и посмотреть, что получится
  GR.ARC sektor2, 880, 800, 1300, 950, 30, 240, 1
  GR.ARC sektor 3, 400, 800, 700, 950, 30, 240, 0 

gr.color 255, 210, 10, 10, 1
  GR.LINE linia, 100, 500, 460, 800

gr.set.stroke 40               % создадим точку толщиной 40 пикселей 
  GR.POINT tochka1, 900, 200 

array.load mas[], 1650,100, 1670,120, 1690,120, 1730,160 
  GR.SET.PIXELS tochki, mas[]

list.create n, spisok
list.add spisok, 1500,890, 1410,990, 1520,995, 1600,1000
  GR.POLY obekt, spisok

do
gr.render
pause 50
until m>0


% GR.RECT -создает прямоугольник. Координаты сторон задаются от левого и от 
% верхнего краев экрана

% GR.OVAL -рисует овал. Координаты задаются так-же как и для прямоугольника

% GR.CIRCLE kryg, x,y,r -рисует круг. x,y -координаты центра, r -радиус

% GR.ARC sektor, x1,y1,x2,y2,nach,ygol -сектор круга, дуга. x1,y1,x2,y2 -коор-
% динаты прямоугольника, в который будет вписана фигура, nach -угол наклона 
% начальной линии, 0 -горизонтально влево (от центра прямоугольника)и далее 
% по часовой стрелке в градусах, ygol -конечная линия, задается так-же в градусах,
% в зависимисти от того, что стоит в gr.color- 1 или 0 по разному рисуется фигура

% GR.LINE -рисует линию. Задаются координаты начальной и конечной точки

% GR.POINT -рисуется точка. Толщина точки задается gr.set.stroke

% GR.SET.PIXELS -рисуется куча точек одновременно. Координаты точек 
% задаются в массиве или списке

% GR.POLY -рисуется многоугольник. Координаты вершин задаются в списке или массиве

% GR.SET.STROKE -задается толщина линий, точек. Зависит от включеннисти сглаживания
% если толщина линии- 0, линия отрисуется толщиной- 1 пиксель, если включено
% сглаживание- 2 пикселя
