%  GR.BITMAP растровые


% GR.BITMAP.LOAD-           загружает растровое изображение с карты памяти
% GR.BITMAP.DRAW-           преобразует растровое изображение в графический объект
% GR.BITMAP.SCALE-          увеличивает, переворачивает, зеркалит
% GR.BITMAP.CROP-           вырезает кусок изображения
% GR.BITMAP.SIZE-           определяет размер изображения
% GR.GET.BMPIXEL-           определяет цвета точки
% GR.BITMAP.CREATE-         создает пустое растровое изображение
% GR.BITMAP.DRAWINTO.START- для наполнения растрового изображения
% GR.BITMAP.DRAWINTO.END-   заканчивает наполнение
% GR.SCREEN.TO_BITMAP-      все, что на экране- в растровое изображение
% GR.GET.PIXEL-             определяет цвета точки в любом месте экрана
% GR.BITMAP.FILL-           окрашивает точку текущим gr.color
% GR.SAVE-                  сохраняет с экрана в jpg или png
% GR.BITMAP.DELETE-         удаляет растровое изображение


gr.open
gr.color 2555, 50, 70, 55, 1

  GR.BITMAP.LOAD obekt1, "Cartman.png"   % загрузили растровое изображение

  GR.BITMAP.DRAW patsan1, obekt1, 800, 500   % преобразовали в графическое изображение

  GR.BITMAP.SCALE obekt2, obekt1, 300, -300, 0   % увеличили, перевернули и т.д.
gr.bitmap.draw patsan2, obekt2, 1000, 500

  GR.BITMAP.CROP obekt3, obekt1, 1, 1, 35, 30   % вырезали кусок изображения
gr.bitmap.draw patsan3, obekt3, 700, 300

  GR.BITMAP.SIZE obekt1, x,y   % определили в x,y размер изображения

  GR.GET.BMPIXEL obekt1, 22, 14, a, r, g, b   % определили цветовые хар-ки точки

  GR.BITMAP.CREATE obekt4, 50, 50   % создали пустое растровое изображение

  GR.BITMAP.DRAWINTO.START obekt4   % будем наполнять растровое изображение
gr.set.stroke 15
gr.point tochka1, 20, 10            % врисовываем пиксели 
gr.point tochka1, 30, 30
gr.color 250, 230, 200, 230, 1
gr.point tochka1, 40, 40
  GR.BITMAP.DRAWINTO.END
gr.bitmap.draw figyra, obekt4, 330, 330

  GR.SCREEN.TO_BITMAP kartinka   %   все, что на экране- в растровое изображение

  GR.GET.PIXEL 820, 510, a2, r2, g2, b2   % определили цвет точки

% GR. BITMAP.FILL obekt, x,y    окрашивает точку в изображении текущим gr.color

% GR.SAVE "картинка.jpg", 85    сохранили экран в jpg или png

gr.render
pause 1600

? x,y; "  -определили размер изображения"
? a,r,g,b; "  -определили цветовые характеристики точки"


% GR.BITMAP.LOAD- загружает из файла изображение. Можно указать просто название 
% файла в кавычках (по умолчанию находится в /data) или путь к файлу
% загруженное изображение не может быть изменено
% Растровое изображение не может отобразиться на экране, его нужно преобразовать
% в графический объект

% GR.BITMAP.DRAW- преобразует растровое изображение в графический объект
% альфа последнего gr.color определяет прозрачность объекта
% координаты определяются с верхнего левого угла

% GR.BITMAP.SCALE- изменяет размер изображения
% отрицательное значение ширины- зеркальное изображение
% отрицательное значение высоты- вверх ногами
% если 0 -изображение не сглажено
% если не 0 -изображение сглажено
% еще момент: если изображение увеличили, то положение на экране будет задаваться
% не x,y на нашем действительном экране, а на экране как-бы тоже увеличенным про-
% порционально. В общем здесь какая-то запарка

% GR.BITMAP.CROP- вырезает кусок изображения в новое растровое изображение
% gr.bitmap.crop obekt3, obekt1, 1, 1, 35, 30
% 1, 1 -начало координат вырезания, 35, 30 -ширина, высота вырезаемого

% GR.BITMAP.SIZE- определяет в x,y размер растрового изображения

% GR.GET.BMPIXEL- определяет цвета указанного пикселя

% GR.BITMAP.CREATE- создает пустое растровое изображение. Изображение может
% быть больше, чем размер экрана

% GR.BITMAP.DRAWINTO.CREATE- включает режим рисования в растровом изображении
% у меня рисует только точками. :( Можно указать толщину точки в пикселях

% GR.BITMAP.DRAWINTO.END- заканчивает режим рисования

% GR.SCREEN.TO_BITMAP- все, что на экране- в растровое изображение
% TO_BITMAP -тут надо не забывать ставить палку вместо пробела

% GR.GET.PIXEL- определяет цвета точки в любом месте экрана
% сначала нужно все на экране перевести в растровое изображение

% GR.BITMAP.FILL- окрашивает точку в растровом изображении- текущим gr.color

% GR.BITMAP.SAVE- сохраняет с экрана в jpg или png
% по умолчанию сохраняет в "/data"
% если сохранять в jpg, нужно указывать качество сохранения, от0 до 100
% по умолчанию 50. В png сохраняет всегда в самом высоком качестве

% GR.BITMAP.DELETE- удаляет ненужное строковое изображение
% созданный из него графический объект остается

