%  GR.PAINT.GET,  параметр kraska


% kraska-         личное имя gr.color, позволяет манипулировать gr.color
% GR.PAINT.GET-   дает личное имя gr.color  



gr.open 

gr.color 200, 100, 100, 100, 1  % тут последний параметр не указан, но он есть :)
gr.circle kryg1, 500, 600, 350

  GR.PAINT.GET KRASKA     % характеристики gr.color определили в переменную kraska

gr.render
pause 2000


gr.color 200, 220, 180, 40, 1
gr.circle kryg2, 1300, 750, 150

  GR.COLOR 100, 230, 22, 45, 1, KRASKA   % вызвали gr.color под названием kraska
% и изменили цвет объекта. KRASKA- это и есть последний параметр

gr.circle kryg3, 1600, 750, 120
gr.render
pause 2000


% GR.PAINT.GET- наделили именем kraska- gr.color, под которым она стоит, 
% чтобы в дальнейшем этот gr.color можно было изменять, вызывая его по имени.
% Немного запутанно. В программе все созданные gr.color имеют свой порядковый
% номер. Порядковому номеру нужной gr.color можем присвоить имя, 
% например: kraska или apelsin и в дальнейшем мы можем вызывать эту gr.color-
% уже имеющую личное имя и изменять ее цвета. Соответственно будут изменятся цвета
% всех объектов, которых она окрашивала раньше.

% Есть еще один момент. Если вписать (-1) в последний параметр, (будет выглядеть
% так):  gr.color 200, 100, 100, 100, 1, -1  то это будет означать, что мы 
% как-будто ничего не вписали ;-) , если 0  то данная gr.color будет проигнориро-
% вана программой. Это нужно, если используется логика.

% Вызванная gr.color...kraska влияет только на свои объекты
