REM ARRAY


% ARRAY.LOAD-        создает одномерный массив  23
% ARRAY.LENGTH-      определяет длину массива  42
% ARRAY.AVERAGE-     средне-арифметическое массива  57
% ARRAY.COPY-        копирует массив  73
% ARRAY.FILL-        заменяет в массиве  105
% ARRAY.MAX-         определяет максимальное значение в массиве  123
% ARRAY.MIN-         определяет минимальное значение в массиве  118
% ARRAY.REVERSE-     делает реверс в массиве  137
% ARRAY.SEARCH-      находит номер позиции разыскиваемого  155
% ARRAY.SHUFFLE-     случайно перемешивает массив  174
% ARRAY.SORT-        сортирует массив в порядке возрастания  192
% ARRAY.SUM-         находит сумму массива  213
% ARRAY.DELETE-      удаляет ненужный массив  229
% UNDIM-             удаляет ненужный массив  229
% DIM-               создаёт массив(ы)  245
% ARRAY.DIMS-        определяет размер массива и количество размерностей  298



?   "==== ARRAY.LOAD ===="
? ""


  ARRAY.LOAD x[], 1,3,2,7,4,9,0,4,6  % создали массив с именем x


? x[5]; " - напечатали 5-ое число массива"

for e= 1 to 9
? x[e];", "; 
next e

? "-  напечатали массив"
? ""
? ""



? "==== ARRAY.LENGTH ===="
? ""


  ARRAY.LENGTH s, x[]  


% команда передаёт в s длину массива x[]

? s; "  - команда вывела длину массива"
? ""
? ""



? "==== ARRAY.AVERAGE ===="
? ""


  ARRAY.AVERAGE d, x[2,3]


% команда передаёт переменной d среднее-арифметическое массива
% начиная с 2 позиции, длительностью 3 числа

? d; " "; " - команда вывела среднее число"
? ""
? ""



? "==== ARRAY.COPY ===="
? ""


  ARRAY.COPY x[], x2[]  % массив x[] скопирован в массив x2[]


for o= 1 to 9
? x2[o]; ", ";
next o
? ""
% этот print "" обязателен, чтобы
% массив вывелся в одну строчку- какаято внутренняя логика

? "массив x[] скопирован в массив x2[]"
? ""


  ARRAY.COPY x[3,5], x2[]  % часть массива x[] скопировано в массив x2[]


for o= 1 to 3
print x2[o]; ", ";
next o

? ""
? "часть массива x[] скопировано в массив x2[]"
? ""
? ""



?   "==== ARRAY.FILL ===="
? ""

array.load x3[], 9,3,7,6,5,2,7,9,1,4


  ARRAY.FILL x3[3,2], 88  


% команда заполняет массив 

? x3[2], x3[3], x3[4], x3[5]
? "заполнили массив цифрой 88 с 3-ей позиции длиной 2 числа"
? ""
? ""



?   "==== ARRAY.MAX ===="
? ""


  ARRAY.MAX max, x[2,6]


? max
? "определили наибольшее значение в массиве"
? ""
? ""



?   "==== ARRAY.REVERSE ===="
? ""


  ARRAY.REVERSE x[2,7]


for o= 2 to 7
print x[o]; ", ";
next o

? ""
? "сделали реверс в массиве"
? ""
? ""



?   "==== ARRAY.SEARCH ===="
? ""


array.load x4[], 9,8,7,6,5,4,3,2,1


  ARRAY.SEARCH x4[], 8,n


% передаёт в n номер позиции разыскиваемого числа 8

? n
? "нашли номер позиции разыскиваемого числа в массиве"
? ""
? ""



?   "==== ARRAY.SHUFFLE ===="
? ""


  ARRAY.SHUFFLE x4[2,6]


for o= 1 to 9
? x4[o]; ", ";
next o

? ""
? "случайно перемешали массив"
? ""
? ""



?   "==== ARRAY.SORT ===="
? ""


  ARRAY.SORT x4[]


% сортирует массив в порядке возрастания
% может сортировать в пределах x4[начало, длина]

for o= 1 to 9
? x4[o]; ", ";
next o

? ""
? "отсортировали массив" 
? ""
? ""



?   "==== ARRAY.SUM ===="
? ""


  ARRAY.SUM summa, x[]


% подсчитывает сумму массива и записывает в переменную summa

? summa
? "подсчитали сумму массива"
? ""
? ""



?   "==== ARRAY.DELETE ===="
? ""


  ARRAY.DELETE x[], x2[], x3[]


? "удалили массивы x[], x2[], x3[]"

% array.delete- то-же, что и  UNDIM

? ""
? ""



?   "==== DIM ===="
? ""


  DIM x[3,4]


% создали многомерный массив
% заполнился сам нулями
% заполнить его как array.load x[] просто введя значения после
% квадратных скобок не получится!

x[2,3]= 7: x[2,4]= 9                % 1 пример заполнения массива
? x[1,3]," " x[2,3]," " x[2,4] 
? ""

array.load x2[], 1,2,3,4,5,6,7,8,9,10,11,12  % 2 пример заполнения
array.copy x2[], x[]
array.delete x2[]

for i= 1 to 3       % вывод двухмерного массива в виде матрицы
 for o= 1 to 4
  if i= 1 then
  ? x[1,o]," ";
  elseif i= 2
  ? x[2,o]," ";
  elseif i= 3
  ? x[3,o]," ";
  endif
 next o
 ? ""
next i

? "создали и вывели массив"
? ""


array.load x3[], 1,2,3,4,5,6,7,8,9,10
dim x4[20]

array.copy x3[], x4[6]  % x4[6] до пятой ячейки массив заполнится нулями

for o= 1 to 20
? x4[o];" ";
next o
? ""

? "x4[6] до 5 позиции массив заполнился нулями, с 6 начинается заполнение"
? ""
? ""



?   "==== ARRAY.DIMS ===="
? ""
 
 
  ARRAY.DIMS X[], ind[], kol


% array.dims определяет размер массива и количество размерностей

? kol; " - вывели количество размерностей массива"
? ""
 
for o= 1 to kol
? ind[o];" ";
next o

? ""
? "вывели размер массива"

end














