%  BUNDLE


% BUNDLE.CREATE-      создаёт пучок  15
% BUNDLE.PUT-         наполняет пучок  15   
% BUNDLE.GET-         выводит данные под каким-то ключом  54
% BUNDLE.KEYS-        создает список ключей  75
% BUNDLE.CONTAIN-     проверяет наличие ключа  94
% BUNDLE.TYPE-        выводит тип данных под каким-то ключом  109
% BUNDLE.REMOVE-      удаляет ключ и значение  123
% BUNDLE.CLEAR-       очищает пучок  138



? "==== BUNDLE.CREATE  BUNDLE.PUT ===="


  BUNDLE.CREATE zezik
  BUNDLE.CREATE bobik
  BUNDLE.CREATE tyzik

% создали 3 пучка. В каждом пучке будут данные (так-как и в 
% массивах) и  описания данных (ключи). Например: Вася, Петя,
% Фёкла- это данные; ключи- имя, фамилия и т. д.


  BUNDLE.PUT 1, "имя", "Вася"
  BUNDLE.PUT zezik, "фамилия", "Пупкин"
  BUNDLE.PUT 1, "место работы", "директор"

  BUNDLE.PUT 2, "имя", "Петя"
  BUNDLE.PUT 2, "фамилия", "Табуреткин"
  BUNDLE.PUT bobik, "место работы", "помощник ученика грузчика"

  BUNDLE.PUT tyzik, "имя", "Фёкла"
  BUNDLE.PUT 3, "фамилия", "Огурцова"
  BUNDLE.PUT 3, "место работы", "министр"


% Наполнили пучки (типа массивы) данными: Вася, Петя, Пупкин,
% директор и т. д., создали ключи к ним (описание): имя,
% фамилия, место работы.

% Если объединять пучки в списки или массивы- нужно использовать
% вместо имён пучков их номера создания в программе, см. выше

? ""
? "создали пучки и наполнили их данными"
? ""
? ""



? "==== BUNDLE.GET ===="
? ""


r= 2
list.create n, pychki
list.add pychki, 1, r, 3    % объединили пучки в список

 for o= 1 to 3

  BUNDLE.GET o, "имя", y$

 ? y$," ";
 next o
? ""
? "возвратили в переменную y$ данные, под ключом- имя"
? ""
? ""



? "==== BUNDLE.KEYS ===="
? ""


  BUNDLE.KEYS 2, spisok1


 for o= 1 to 3
 list.get spisok1, o, s$
 ? s$, " ";
 next o
? ""

? "создали список из ключей"
? ""
? ""



? "==== BUNDLE.CONTAIN ===="
? ""


  BUNDLE.CONTAIN 1, "место работы", k
  BUNDLE.CONTAIN 1, "возраст", u


? k, u
? "проверили, есть-ли в пучке ключи: место работы, возраст"
? ""
? ""



? "==== BUNDLE.TYPE ===="
? ""


  BUNDLE.TYPE 3, "фамилия", type$


? type$
? "вывели тип значения (строковое или числовое), под ключом- фамилия"
? ""
? ""



? "==== BUNDLE.REMOVE ===="
? ""


  BUNDLE.REMOVE 1, "имя"


! удалили ключ- имя и значение под ключом

? "имя not in bindle"
? ""
? ""



? "==== BUNDLE.CLEAR ===="


  BUNDLE.CLEAR 2


% можно использовать не только название пучка- bobik, а и номер, под каким он был создан в программе

? ""
? "стёрли пучок- bobik"

end










