%  GR  разное


% GR.BRIGHTNESS-             яркость экрана
% GR.STATUSBAR-              определяет состояние статусбара
% GR.ORIENTATION-            ориентация экрана
% GR.SET.ANTIALIAS-          сглаживание
% GR.GET.TYPE-               определяет тип объекта              
% GR.GET.PARAMS-             определяет параметры объекта в массив
% GR.GET.POSITION-           определяет позицию объекта
% GR_COLLISION ()-           определяет соприкосновение объектов
% GR.GET.VALUE-              определяет параметры объекта
% GR.FRONT-                  выводит на передний край или консоль, или графику
% GR.MODIFY-                 изменяет параметры объекта
% GR.CLIP-                   определяет взаимодействие объекта с выделенной обл.
% GR.SAVE-                   записывает все с экрана в jpg или png



gr.open ,,,,1
gr.color 200, 230, 200, 230, 1
gr.paint.get kraska

  GR.BRIGHTNESS 0.1   % от 0.01 до 1.0

  GR.STATUSBAR v, n   % определили хар-ки статусбара

  GR.ORIENTATION -1   % указали ориентацию экрана
 
  GR.SET.ANTIALIAS 1, kraska   %  =0 -сглаживание выкл. <>0 -сглаживание вкл.

gr.circle kryg1, 800, 600, 150
gr.circle kryg2, 1000, 700, 120

  GR.GET.TYPE kryg1, tip$    % определили тип объекта

  GR.GET.PARAMS kryg1, massiv$[]    % определили все параметры объекта в массив

  GR.GET.POSITION kryg1, x,y    % определили позицию объекта

  opredelili= GR_COLLISION (kryg1, kryg2)   % определили соприкосновение объектов

  GR.GET.VALUE kryg1, "radius", r   % в r определили радиус
  GR.GET.VALUE kryg1, "x", m        % в m определили x

gr.render
pause 1600

  GR.FRONT 0     % включили экран консоли    

popup "ура!"
pause 2000

  GR.FRONT 1     % включили экран графики

  GR.MODIFY kryg1, "radius", 350         % изменяем разные параметры
  GR.MODIFY kryg1, "x", 450, "y", 700

gr.render
pause 1600

  GR.CLIP obekt, 900, 550, 1000, 700, 1    % взаимодействие с выделенной областью

gr.color 230, 200, 250, 250, 1
gr.circle kryg3, 900, 750, 200

gr.render
pause 1600

  % GR.SAVE "тра-ля-ля.jpg,", 85   % записали текущий экран в файл



% GR.BRIGHTNESS- яркость экрана от 0.01 до 1.0

% GR.STATUSBAR- определяет высоту статусбара в пикселях и его состояние

% GR.ORIENTATION- ориентация экрана: 0 -пейзаж, 1 -портрет, 2 -обратный пейзаж,
% 3 -обратный портрет, -1 -зависит от датчиков

% GR.SET.ANTIALIANS- сглаживание: 0 -выключен, 1 -включен
% по умолчанию сглаживание включено
% если нужно нарисовать 1 пиксель, сглаживание должно быть выключено
% необязательный параметр kraska определяет, для каких объектов работает команда

% GR.GET.TYPE- определяет тип указанного объекта в строковую переменную

% GR.GET.PARAMS- определяет параметры объекта в строковый массив
% массив задается без индекса
% если массив существует- он будет перезаписан, в противном случае он создается

% GR.GET.POSITION- определяет позицию объекта
% если определяемый объект- прямоугольник, выводится позиция первых двух 
% параметров x,y, если линия- x1,y1

% GR_COLLISION ()- функция, определяет- не соприкасаются-ли объекты
% если соприкасаются 1, если нет 0
% объекты, проверяемые на столкновения: прямоугольник, круг, овал, точечный
% рисунок, дуга, текст
% на столкновение проверяются границы, в которые вписаны объекты, а не сами 
% объекты
% gr_collision () палка вместо точки и скобки :)

% GR.FRONT- определяет на передний план: =0 -консоль, <>0 -графический экран

% GR.CLIP- определяет взаимодействие объекта с выделенной прямоугольной областъю
% выделенная область взаимодействует только с объектами, созданными после GR.CLIP
% 0 -объект рисуется только в выделенной области
% 1 - в выделенной области объект не рисуется
% 2, 3, 4, 5 -не понял, в чем смысл :(

% GR.SAVE- сохранение текущего экрана в файл jpg или png
% для jpg можно указать качество сохранения от 0 до 100, по умолчанию 50
% для png качество сохранения всегда наилучшее



% ============
% таблица для GR.GET.VALUE и GR.MODIFY

%               верх              низ     нач. угол       кон. угол    тип фигуры
% arc: "left", "top", "right", "bottom", "start_angle", "sweep_angel", "fill_mode", "paint", "alfa"

% bitmap: "x", "y", "bitmap", "paint", "alfa"

% circle: "x", "y", "radius", "paint", "alfa"

% line: "x1", "y1", "x2", "y2", "paint", "alfa"

% oval: "left", "top", "right", "bottom", "paint", "alfa"

% pixels: "x", "y", "paint", "alfa"

% point: "x", "y", "paint", "alfa"

% poly: "x", "y", "list", "paint", "alfa"

% rect: "left" "top", "right", "bottom", "paint", "alfa"

% text: "x", "y", "text", "paint", "alfa"

% clip: "left", "top", "right", "bottom", "RO", "paint", "alfa"

% group: "list", "paint", "alfa"

% rotate: "x", "y", "angle", "paint", "alfa"
% ............
% все теги (то, что в кавычках)- строковые
% значения всех тегов являются числовыми, за исключением "text"
% координаты GR.SET.PIXELS можно изменять напрямую, без тегов 

% GR.GET.VALUE- определяет какой-нибудь параметр (указанный в теге) в переменную

% GR.MODIFY- изменяет параметр объекта, указанный в теге (то, что в кавычках)
% ============



? v, n; "  -высота статусбара в пикселях и его состояние- командой GR.STATUSBAR"
? tip$; "  -тип нашего объекта опрделили командой GR.GET.TYPE"
? r, m; "  -определили радиус и координату x командой GR.GET.VALUE"
? opredelili; "  -определили соприкосновение объектов- соприкасаются"

