%  GR.SCREEN  GR.SCALE  масштабирование


% GR.SCREEN-   определяет ширину, высоту, плотность экрана
% GR.SCALE-    масштабирует экран



% ==== пример 1 масштабирование по мануалу ====

% допустим, мы создаем графику под экран с разрешением например, 800/480

gr.open 255, 225, 255, 245, 1
  GR.SCREEN w, h, p   
shirina= 800
visota= 480
x= w/shirina    % масштабирование по мануалу
y= h/visota
tyda:
  GR.SCALE x, y
gr.color 255, 155, 100, 100, 1 
gr.rect figyra, 150, 180, 250, 280
gr.circle kryg, 500, 220, 100
gr.render

pause 1900
if n>0 then goto suda

% графику рисуем под конкретное устройство, с разрешением экрана например, 800/480
% автоматически все будет масштабироваться под экран с любым разрешением
% так-как соотношение сторон смартфонов разное: 16/9, 16/10, 38/25 и др.
% при масштабировании квадратное будет немножко не квадратным, круглое 
% не круглым, для этого пример 2



%   ==== пример 2 правильное масштабирование ====

% ============
  a= 800/480: b= w/h: c= a/b   % заменяет строку "масштабирование по мануалу"
  x= c*(w/shirina)
% ============


% заменяем строку  x= w/shirina  на эти две строки
% тогда круглое будет круглым, квадратное квадратным :)
% только все может обрезаться по ширине или наоборот объекты не будут доходить
% до краев


n++
goto tyda
suda:


% GR.SCREEN- определяет ширину, высоту нашего экрана в пикселях и плотность
% точек на дюйм

% GR.SCALE- запоминает вычисленные коэффициенты масштабирования, теперь
% мы можем задавать координаты как для экрана, например 800/480
% поправочные коэффициенты всегда будут все приспосабливать к экрану 
% любого смартфона


