%  GR.TEXT


% FONT.LOAD-             загружает шрифты в память
% GR.TEXT.ALIGN-         положение текста по отношению к x,y       
% GR.TEXT.SIZE-          размер текста
% GR.TEXT.BOLD-          жирность
% GR.TEXT.SKEW-          наклон
% GR.TEXT.STRIKE-        зачеркнуто
% GR.TEXT.UNDERLINE-     подчеркнуто
% GR.TEXT.SETFONT-       выбирает шрифт из загруженных в память
% GR.TEXT.DRAW-          формирует текст для вывода на экран
% GR.TEXT.TYPEFACE-      выбирает шрифт из установленных по умолчанию
% GR.TEXT.HEIGHT-        определяет высоту шрифта
% GR.TEXT.WIDHT-         определяет ширину строки в пикселях
% GR.GET.TEXTBOUNDS-     определяет пограничный прямоугольник строки
% FONT.DELETE-           удаляет выбранный шрифт
% FONT.CLEAR-            удаляет все загруженные шрифты



gr.open

  FONT.LOAD shrift, "AGSouvenirCyr Bold.ttf"

gr.color 200, 20, 40, 40, 1

% можно убрать  %  и посмотреть, как работают команды

  GR.TEXT.ALIGN 1

  GR.TEXT.SIZE 45

  % GR.TEXT.BOLD 1

  % GR.TEXT.SKEW -0.25

  % GR.TEXT.STRIKE 1

  % GR.TEXT.UNDERLINE 1

  GR.TEXT.SETFONT shrift

  GR.TEXT.DRAW text1, 300,500, "Грех, совершенный ради нас, не может быть тяжким"

gr.render
pause 1200

gr.color 200, 200, 50, 30, 1
gr.text.size 52

  GR.TEXT.TYPEFACE 3, 4

gr.text.draw text2, 280, 600, "Улыбаться- это немножко показывать зубы :)"

  GR.TEXT.HEIGHT visota, up, down

  GR.TEXT.WIDTH shirina, text2

  GR.GET.TEXTBOUNDS text1, x, y, z, f

gr.render
pause 3000

  FONT.DELETE shrift

  FONT.CLEAR

? visota, up, down; "  -высота в пикселях, вверх от базовой линии, вниз, команда- GR.TEXT.HEIGHT"
? shirina; "  -ширина строки в пикселях, команда- GR.TEXT.WIDTH"
? x, y, z, f; "  -пограничный прямоугольник строки, команда- GR.GRT.TEXTBOUNDS"



% FONT.LOAD -загружает шрифт из файла. Если шрифт не может быть загружен, 
% в указателе шрифта (-1)

% GR.TEXT.ALIGN -положение текста относительно x,y
% 1 -от точки вправо, 2 -центр, 3 -от точки влево

% GR.TEXT.SIZE -размер шрифта в пикселях. Включает хвосты букв "у", "б" и т.д.

% GR.TEXT.BOLD -жирность. <>0 -жирный, =0 -обычный. 

% GR.TEXT.SKEW -наклон. Отрицательные значения- наклон вправо

% GR.TEXT.STRIKE - <>0 -зачеркнуто, =0 -незачеркнуто

% GR.TEXT.UNDERLINE - <>0 -подчеркнуто, =0 -неподчеркнуто

% GR.TEXT.SETFONT -выбор шрифта из уже загруженных

% GR.TEXT.DRAW -формирует текст для вывода на экран
% GR.TEXT.DRAW tekst, x,y, "Тут сам текст"
% x,y -начало текста. y -задает положение базовой линии. Хвосты "у", "р" и т.д.
% висят ниже базовой линии

% GR.TEXT.TYPEFACE -выбирает шрифт из установленных по умолчанию
% первый параметр- тип шрифта:
% 1 -шрифт по умолчанию, 2 -моноширный, 3 -без засечек, 4 -с засечкми
% второй параметр- стиль:
% 1 -нормальный, 2 -жирный, 3 -курсив, 4 -жирный курсив

% GR.TEXT.HEIGHT -определяет высоту шрифта, высоту хвостов "б", "у" и т.д.
% относительно базовой линии

% GR.TEXT.WIDHT -определяет ширину строки в пикселях

% GR.GET.TEXTBOUNDS -определяет пограничный прямоугольник строки
% по вертикали- относительно базовой линии (на которой буквы стоят)




